export default class KnowledgeGraph {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/list', 'post', params, axiosOption, httpOption);
  }
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/view', 'get', params, axiosOption, httpOption);
  }
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/add', 'post', params, axiosOption, httpOption);
  }

  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/update', 'post', params, axiosOption, httpOption);
  }
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/delete', 'post', params, axiosOption, httpOption);
  }
  static connectionTest (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/connectionTest', 'post', params, axiosOption, httpOption);
  }
  static listForSelect (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/kGManage/listForSelect', 'post', params, axiosOption, httpOption);
  }
}
